/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class LiveGridDescription extends Description {
    constructor() {
        super();
        this.g = null;
        this.cv = null;
        this.cc = null;
        this.be = null;
        this.bx = null;
        this.bt = null;
        this.z = null;
        this.x = null;
        this.v = null;
        this.p = null;
        this.n = null;
        this.h = null;
        this.a4 = 0;
        this.at = 0;
        this.a2 = 0;
        this.b1 = null;
        this.b7 = null;
        this.ab = false;
        this.a5 = 0;
        this.ag = false;
        this.bp = null;
        this.bv = null;
        this.bh = null;
        this.cf = null;
        this.bn = null;
        this.r = null;
        this.bw = null;
        this.b0 = null;
        this.bs = null;
        this.br = null;
        this.bq = null;
        this.cs = null;
        this.bc = null;
        this.cr = null;
        this.ac = false;
        this.ae = false;
        this.af = false;
        this.bm = null;
        this.cl = null;
        this.au = 0;
        this.cu = null;
        this.ce = null;
        this.cd = null;
        this.t = null;
        this.bf = null;
        this.bo = null;
        this.b9 = null;
        this.ca = null;
        this._cellFontFamily = null;
        this._cellFontSize = 0;
        this._cellFontStyle = null;
        this._cellFontWeight = null;
        this.ck = null;
        this.cm = null;
        this._sectionHeaderFontFamily = null;
        this._sectionHeaderFontSize = 0;
        this._sectionHeaderFontStyle = null;
        this._sectionHeaderFontWeight = null;
        this.a3 = 0;
        this.b8 = null;
        this.b6 = null;
        this.cb = null;
        this._headerFontFamily = null;
        this._headerFontSize = 0;
        this._headerFontStyle = null;
        this._headerFontWeight = null;
        this.cg = null;
        this.cj = null;
        this.ch = null;
        this.ci = null;
        this.a1 = 0;
        this.a0 = 0;
        this.by = null;
        this.bu = null;
        this.ad = false;
        this.b5 = null;
        this.i = null;
        this.f = null;
        this.aj = false;
        this.ai = false;
        this.ah = false;
        this.b3 = null;
        this.b2 = null;
        this.bk = null;
        this.bl = null;
        this.bi = null;
        this.bj = null;
        this.bg = null;
        this.ct = null;
        this.b4 = null;
        this.bz = null;
        this.cp = null;
        this.cq = null;
        this.co = null;
        this.bd = null;
        this.cn = null;
    }
    get columns() {
        return this.g;
    }
    set columns(a) {
        this.g = a;
        this.e("Columns");
    }
    get width() {
        return this.cv;
    }
    set width(a) {
        this.cv = a;
        this.e("Width");
    }
    get height() {
        return this.cc;
    }
    set height(a) {
        this.cc = a;
        this.e("Height");
    }
    get background() {
        return this.be;
    }
    set background(a) {
        this.be = a;
        this.e("Background");
    }
    get_type() {
        return "LiveGrid";
    }
    get type() {
        return this.get_type();
    }
    get columnResizingMode() {
        return this.bx;
    }
    set columnResizingMode(a) {
        this.bx = a;
        this.e("ColumnResizingMode");
    }
    get columnMovingMode() {
        return this.bt;
    }
    set columnMovingMode(a) {
        this.bt = a;
        this.e("ColumnMovingMode");
    }
    get sectionHeader() {
        return this.z;
    }
    set sectionHeader(a) {
        this.z = a;
        this.e("SectionHeader");
    }
    get rowSeparator() {
        return this.x;
    }
    set rowSeparator(a) {
        this.x = a;
        this.e("RowSeparator");
    }
    get headerSeparator() {
        return this.v;
    }
    set headerSeparator(a) {
        this.v = a;
        this.e("HeaderSeparator");
    }
    get columnResizingSeparator() {
        return this.p;
    }
    set columnResizingSeparator(a) {
        this.p = a;
        this.e("ColumnResizingSeparator");
    }
    get columnMovingSeparator() {
        return this.n;
    }
    set columnMovingSeparator(a) {
        this.n = a;
        this.e("ColumnMovingSeparator");
    }
    get dataSourceDesiredProperties() {
        return this.h;
    }
    set dataSourceDesiredProperties(a) {
        this.h = a;
        this.e("DataSourceDesiredProperties");
    }
    get rowHeight() {
        return this.a4;
    }
    set rowHeight(a) {
        this.a4 = a;
        this.e("RowHeight");
    }
    get defaultColumnMinWidth() {
        return this.at;
    }
    set defaultColumnMinWidth(a) {
        this.at = a;
        this.e("DefaultColumnMinWidth");
    }
    get headerHeight() {
        return this.a2;
    }
    set headerHeight(a) {
        this.a2 = a;
        this.e("HeaderHeight");
    }
    get dataSourceRef() {
        return this.b1;
    }
    set dataSourceRef(a) {
        this.b1 = a;
        this.e("DataSourceRef");
    }
    get headerClickAction() {
        return this.b7;
    }
    set headerClickAction(a) {
        this.b7 = a;
        this.e("HeaderClickAction");
    }
    get autoGenerateColumns() {
        return this.ab;
    }
    set autoGenerateColumns(a) {
        this.ab = a;
        this.e("AutoGenerateColumns");
    }
    get rowSeparatorHeight() {
        return this.a5;
    }
    set rowSeparatorHeight(a) {
        this.a5 = a;
        this.e("RowSeparatorHeight");
    }
    get isPlaceholderRenderingEnabled() {
        return this.ag;
    }
    set isPlaceholderRenderingEnabled(a) {
        this.ag = a;
        this.e("IsPlaceholderRenderingEnabled");
    }
    get columnAddingAnimationMode() {
        return this.bp;
    }
    set columnAddingAnimationMode(a) {
        this.bp = a;
        this.e("ColumnAddingAnimationMode");
    }
    get columnPropertyUpdatingAnimationMode() {
        return this.bv;
    }
    set columnPropertyUpdatingAnimationMode(a) {
        this.bv = a;
        this.e("ColumnPropertyUpdatingAnimationMode");
    }
    get cellDataLoadedAnimationMode() {
        return this.bh;
    }
    set cellDataLoadedAnimationMode(a) {
        this.bh = a;
        this.e("CellDataLoadedAnimationMode");
    }
    get rowSelectionAnimationMode() {
        return this.cf;
    }
    set rowSelectionAnimationMode(a) {
        this.cf = a;
        this.e("RowSelectionAnimationMode");
    }
    get cellSelectionAnimationMode() {
        return this.bn;
    }
    set cellSelectionAnimationMode(a) {
        this.bn = a;
        this.e("CellSelectionAnimationMode");
    }
    get animationSettings() {
        return this.r;
    }
    set animationSettings(a) {
        this.r = a;
        this.e("AnimationSettings");
    }
    get columnResizingAnimationMode() {
        return this.bw;
    }
    set columnResizingAnimationMode(a) {
        this.bw = a;
        this.e("ColumnResizingAnimationMode");
    }
    get columnShowingAnimationMode() {
        return this.b0;
    }
    set columnShowingAnimationMode(a) {
        this.b0 = a;
        this.e("ColumnShowingAnimationMode");
    }
    get columnMovingAnimationMode() {
        return this.bs;
    }
    set columnMovingAnimationMode(a) {
        this.bs = a;
        this.e("ColumnMovingAnimationMode");
    }
    get columnHidingAnimationMode() {
        return this.br;
    }
    set columnHidingAnimationMode(a) {
        this.br = a;
        this.e("ColumnHidingAnimationMode");
    }
    get columnExchangingAnimationMode() {
        return this.bq;
    }
    set columnExchangingAnimationMode(a) {
        this.bq = a;
        this.e("ColumnExchangingAnimationMode");
    }
    get selectionMode() {
        return this.cs;
    }
    set selectionMode(a) {
        this.cs = a;
        this.e("SelectionMode");
    }
    get activationMode() {
        return this.bc;
    }
    set activationMode(a) {
        this.bc = a;
        this.e("ActivationMode");
    }
    get selectionBehavior() {
        return this.cr;
    }
    set selectionBehavior(a) {
        this.cr = a;
        this.e("SelectionBehavior");
    }
    get isFilterUIEnabled() {
        return this.ac;
    }
    set isFilterUIEnabled(a) {
        this.ac = a;
        this.e("IsFilterUIEnabled");
    }
    get isGroupRowSticky() {
        return this.ae;
    }
    set isGroupRowSticky(a) {
        this.ae = a;
        this.e("IsGroupRowSticky");
    }
    get isHeaderSeparatorVisible() {
        return this.af;
    }
    set isHeaderSeparatorVisible(a) {
        this.af = a;
        this.e("IsHeaderSeparatorVisible");
    }
    get cellSelectedBackground() {
        return this.bm;
    }
    set cellSelectedBackground(a) {
        this.bm = a;
        this.e("CellSelectedBackground");
    }
    get sectionHeaderSelectedBackground() {
        return this.cl;
    }
    set sectionHeaderSelectedBackground(a) {
        this.cl = a;
        this.e("SectionHeaderSelectedBackground");
    }
    get pinnedRowOpacity() {
        return this.au;
    }
    set pinnedRowOpacity(a) {
        this.au = a;
        this.e("PinnedRowOpacity");
    }
    get stickyRowBackground() {
        return this.cu;
    }
    set stickyRowBackground(a) {
        this.cu = a;
        this.e("StickyRowBackground");
    }
    get pinnedRowBackground() {
        return this.ce;
    }
    set pinnedRowBackground(a) {
        this.ce = a;
        this.e("PinnedRowBackground");
    }
    get lastStickyRowBackground() {
        return this.cd;
    }
    set lastStickyRowBackground(a) {
        this.cd = a;
        this.e("LastStickyRowBackground");
    }
    get activeCell() {
        return this.t;
    }
    set activeCell(a) {
        this.t = a;
        this.e("ActiveCell");
    }
    get cellBackground() {
        return this.bf;
    }
    set cellBackground(a) {
        this.bf = a;
        this.e("CellBackground");
    }
    get cellTextColor() {
        return this.bo;
    }
    set cellTextColor(a) {
        this.bo = a;
        this.e("CellTextColor");
    }
    get headerSortIndicatorColor() {
        return this.b9;
    }
    set headerSortIndicatorColor(a) {
        this.b9 = a;
        this.e("HeaderSortIndicatorColor");
    }
    get headerSortIndicatorStyle() {
        return this.ca;
    }
    set headerSortIndicatorStyle(a) {
        this.ca = a;
        this.e("HeaderSortIndicatorStyle");
    }
    get cellFontFamily() {
        return this._cellFontFamily;
    }
    set cellFontFamily(a) {
        this._cellFontFamily = a;
    }
    get cellFontSize() {
        return this._cellFontSize;
    }
    set cellFontSize(a) {
        this._cellFontSize = a;
    }
    get cellFontStyle() {
        return this._cellFontStyle;
    }
    set cellFontStyle(a) {
        this._cellFontStyle = a;
    }
    get cellFontWeight() {
        return this._cellFontWeight;
    }
    set cellFontWeight(a) {
        this._cellFontWeight = a;
    }
    get sectionHeaderBackground() {
        return this.ck;
    }
    set sectionHeaderBackground(a) {
        this.ck = a;
        this.e("SectionHeaderBackground");
    }
    get sectionHeaderTextColor() {
        return this.cm;
    }
    set sectionHeaderTextColor(a) {
        this.cm = a;
        this.e("SectionHeaderTextColor");
    }
    get sectionHeaderFontFamily() {
        return this._sectionHeaderFontFamily;
    }
    set sectionHeaderFontFamily(a) {
        this._sectionHeaderFontFamily = a;
    }
    get sectionHeaderFontSize() {
        return this._sectionHeaderFontSize;
    }
    set sectionHeaderFontSize(a) {
        this._sectionHeaderFontSize = a;
    }
    get sectionHeaderFontStyle() {
        return this._sectionHeaderFontStyle;
    }
    set sectionHeaderFontStyle(a) {
        this._sectionHeaderFontStyle = a;
    }
    get sectionHeaderFontWeight() {
        return this._sectionHeaderFontWeight;
    }
    set sectionHeaderFontWeight(a) {
        this._sectionHeaderFontWeight = a;
    }
    get headerSeparatorWidth() {
        return this.a3;
    }
    set headerSeparatorWidth(a) {
        this.a3 = a;
        this.e("HeaderSeparatorWidth");
    }
    get headerSeparatorBackground() {
        return this.b8;
    }
    set headerSeparatorBackground(a) {
        this.b8 = a;
        this.e("HeaderSeparatorBackground");
    }
    get headerBackground() {
        return this.b6;
    }
    set headerBackground(a) {
        this.b6 = a;
        this.e("HeaderBackground");
    }
    get headerTextColor() {
        return this.cb;
    }
    set headerTextColor(a) {
        this.cb = a;
        this.e("HeaderTextColor");
    }
    get headerFontFamily() {
        return this._headerFontFamily;
    }
    set headerFontFamily(a) {
        this._headerFontFamily = a;
    }
    get headerFontSize() {
        return this._headerFontSize;
    }
    set headerFontSize(a) {
        this._headerFontSize = a;
    }
    get headerFontStyle() {
        return this._headerFontStyle;
    }
    set headerFontStyle(a) {
        this._headerFontStyle = a;
    }
    get headerFontWeight() {
        return this._headerFontWeight;
    }
    set headerFontWeight(a) {
        this._headerFontWeight = a;
    }
    get rowSeparatorBackground() {
        return this.cg;
    }
    set rowSeparatorBackground(a) {
        this.cg = a;
        this.e("RowSeparatorBackground");
    }
    get rowSeparatorStickyRowBackground() {
        return this.cj;
    }
    set rowSeparatorStickyRowBackground(a) {
        this.cj = a;
        this.e("RowSeparatorStickyRowBackground");
    }
    get rowSeparatorLastStickyRowBackground() {
        return this.ch;
    }
    set rowSeparatorLastStickyRowBackground(a) {
        this.ch = a;
        this.e("RowSeparatorLastStickyRowBackground");
    }
    get rowSeparatorPinnedRowBackground() {
        return this.ci;
    }
    set rowSeparatorPinnedRowBackground(a) {
        this.ci = a;
        this.e("RowSeparatorPinnedRowBackground");
    }
    get columnResizingSeparatorWidth() {
        return this.a1;
    }
    set columnResizingSeparatorWidth(a) {
        this.a1 = a;
        this.e("ColumnResizingSeparatorWidth");
    }
    get columnMovingSeparatorWidth() {
        return this.a0;
    }
    set columnMovingSeparatorWidth(a) {
        this.a0 = a;
        this.e("ColumnMovingSeparatorWidth");
    }
    get columnResizingSeparatorBackground() {
        return this.by;
    }
    set columnResizingSeparatorBackground(a) {
        this.by = a;
        this.e("ColumnResizingSeparatorBackground");
    }
    get columnMovingSeparatorBackground() {
        return this.bu;
    }
    set columnMovingSeparatorBackground(a) {
        this.bu = a;
        this.e("ColumnMovingSeparatorBackground");
    }
    get isGroupCollapsable() {
        return this.ad;
    }
    set isGroupCollapsable(a) {
        this.ad = a;
        this.e("IsGroupCollapsable");
    }
    get groupHeaderDisplayMode() {
        return this.b5;
    }
    set groupHeaderDisplayMode(a) {
        this.b5 = a;
        this.e("GroupHeaderDisplayMode");
    }
    get primaryKey() {
        return this.i;
    }
    set primaryKey(a) {
        this.i = a;
        this.e("PrimaryKey");
    }
    get actualPrimaryKey() {
        return this.f;
    }
    set actualPrimaryKey(a) {
        this.f = a;
        this.e("ActualPrimaryKey");
    }
    get reactsToSortChanges() {
        return this.aj;
    }
    set reactsToSortChanges(a) {
        this.aj = a;
        this.e("ReactsToSortChanges");
    }
    get reactsToGroupChanges() {
        return this.ai;
    }
    set reactsToGroupChanges(a) {
        this.ai = a;
        this.e("ReactsToGroupChanges");
    }
    get reactsToFilterChanges() {
        return this.ah;
    }
    set reactsToFilterChanges(a) {
        this.ah = a;
        this.e("ReactsToFilterChanges");
    }
    get filterExpressionsChangingRef() {
        return this.b3;
    }
    set filterExpressionsChangingRef(a) {
        this.b3 = a;
        this.e("FilterExpressionsChangingRef");
    }
    get filterExpressionsChangedRef() {
        return this.b2;
    }
    set filterExpressionsChangedRef(a) {
        this.b2 = a;
        this.e("FilterExpressionsChangedRef");
    }
    get cellPreviewPointerDownRef() {
        return this.bk;
    }
    set cellPreviewPointerDownRef(a) {
        this.bk = a;
        this.e("CellPreviewPointerDownRef");
    }
    get cellPreviewPointerUpRef() {
        return this.bl;
    }
    set cellPreviewPointerUpRef(a) {
        this.bl = a;
        this.e("CellPreviewPointerUpRef");
    }
    get cellPointerDownRef() {
        return this.bi;
    }
    set cellPointerDownRef(a) {
        this.bi = a;
        this.e("CellPointerDownRef");
    }
    get cellPointerUpRef() {
        return this.bj;
    }
    set cellPointerUpRef(a) {
        this.bj = a;
        this.e("CellPointerUpRef");
    }
    get cellClickedRef() {
        return this.bg;
    }
    set cellClickedRef(a) {
        this.bg = a;
        this.e("CellClickedRef");
    }
    get sortDescriptionsChangedRef() {
        return this.ct;
    }
    set sortDescriptionsChangedRef(a) {
        this.ct = a;
        this.e("SortDescriptionsChangedRef");
    }
    get groupDescriptionsChangedRef() {
        return this.b4;
    }
    set groupDescriptionsChangedRef(a) {
        this.b4 = a;
        this.e("GroupDescriptionsChangedRef");
    }
    get columnsAutoGeneratedRef() {
        return this.bz;
    }
    set columnsAutoGeneratedRef(a) {
        this.bz = a;
        this.e("ColumnsAutoGeneratedRef");
    }
    get selectedItemsChangedRef() {
        return this.cp;
    }
    set selectedItemsChangedRef(a) {
        this.cp = a;
        this.e("SelectedItemsChangedRef");
    }
    get selectedKeysChangedRef() {
        return this.cq;
    }
    set selectedKeysChangedRef(a) {
        this.cq = a;
        this.e("SelectedKeysChangedRef");
    }
    get selectedCellsChangedRef() {
        return this.co;
    }
    set selectedCellsChangedRef(a) {
        this.co = a;
        this.e("SelectedCellsChangedRef");
    }
    get activeCellChangedRef() {
        return this.bd;
    }
    set activeCellChangedRef(a) {
        this.bd = a;
        this.e("ActiveCellChangedRef");
    }
    get selectedCellRangesChangedRef() {
        return this.cn;
    }
    set selectedCellRangesChangedRef(a) {
        this.cn = a;
        this.e("SelectedCellRangesChangedRef");
    }
}
LiveGridDescription.$t = markType(LiveGridDescription, 'LiveGridDescription', Description.$);
